summaryrefslogtreecommitdiff
path: root/tests/timeout.script
diff options
context:
space:
mode:
Diffstat (limited to 'tests/timeout.script')
-rwxr-xr-xtests/timeout.script13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/timeout.script b/tests/timeout.script
new file mode 100755
index 0000000..0533880
--- /dev/null
+++ b/tests/timeout.script
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -eu
+
+cat <<EOF > "$DATADIR/foo.tasks"
+date:
+ interval: 2
+ timeout: 1
+ command: sleep 1000
+EOF
+
+
+./desktop-cronish --max-jobs=1 "$DATADIR/foo.tasks"